--[[
	autorun/client/PropSlam.lua
	Erfie - New Phone :D | (STEAM_0:0:11602053)
	===DStream===
]]

local function PropSlam()
	local ply = LocalPlayer()
	local Angles = ply:EyeAngles()
	ply:ConCommand("use weapon_physgun")

	timer.Simple(0.1, function()
		ply:ConCommand("gm_spawn models/props_phx/construct/metal_plate4x4.mdl")
		ply:ConCommand("+attack")
	end)

	timer.Simple(0.2, function()
		ply:SetEyeAngles(Angle(Angles.p -50, Angles.y, Angles.r))
	end)

	timer.Simple(0.3, function()
		ply:SetEyeAngles(Angle(Angles.p +50, Angles.y, Angles.r))
	end)
	timer.Simple(0.35, function()
			ply:ConCommand("-attack")
	end)
	timer.Simple(1, function()
		ply:ConCommand("undo")
	end)
end

concommand.Add("prop_slam", PropSlam)